Subject: bug#7296: display-pixel-height not enough

From: Lennart Borgman <[email-masked]>
Date: Mon, 1 Nov 2010 19:08:53 +0100

On Mon, Nov 1, 2010 at 4:09 PM, Drew Adams <[email-masked]> wrote:
>> >> Could we, as a first step, do as Eli suggested, i.e. let
>> >> display-pixel-height/width return the working area size instead of
>> >> the total display size? Is there any reason not to do this now?
>>
>> In what way can the working display area size in pixels be
>> incompatible? And why is using the current total display area size
>> better (and more compatible)?
>
> It's not that one or the other is better; it's that they are different.  If you
> change the meaning and return value of an existing function then you break
> existing code.  If you want to add an additional function that returns some
> other value that you find more useful, that's one thing.  Proposing to change
> the existing function is something else again.

There is no clear description of what display-pixel-height currently
returns. So how do we know how it is currently used?

It looks like it is difficult to get this information, but as I said
the current return value must be documented. I suggest that we just
change the doc string and says that it returns value for the total
display.

And in addition to that it would probably be good to have the
"opposite" function too. At least I need it.